Get event calendar
GET
/api/events/{eventid}/i-cal
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/i-cal?childevents=false"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/i-cal?childevents=false';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/i-cal?childevents=false' \ --header 'x-api-key: <x-api-key>'Returns an iCalendar document. Child events can optionally be included.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventid
required
string format: uuid
The event identifier.
Query Parameters
Section titled “Query Parameters”childevents
boolean
Default is false. If true, child events (immediately below the parent) are included.
Responses
Section titled “Responses”OK
string
string
Examplegenerated
examplestring
Examplegenerated
exampleForbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}